.custom-form-update {
  position: relative;
  z-index: 1;
  padding-right: 40px;
  box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.25);
  margin: 16px;
}

.add-sms-template {
  height: 100%;
}

.custom-switch {
  position: absolute;
  right: 40px;
  top: 11px;
  z-index: 2;
  -webkit-box-align: center;
  align-items: center;
}

  .custom-switch h5 {
    font-size: 16px;
    margin: 0 !important;
  }

.custom-border {
  border-right: 1px solid rgba(0, 0, 0, 0.12);
}

.mat-icon {
  display: none;
  color: #00AEEF;
  font-size: 20px;
  height: 20px;
  width: 20px;
  margin-right: 0;
}

.icon-invalid {
  color: #00AEEF;
}

.modalClosebtn {
  height: auto;
  margin-top: 0;
}

.k-dialog-wrapper .k-dialog {
  width: 50% !important;
  height: 47% !important;
}

.k-multiselect .k-multiselect-wrap {
  border-radius: 5px !important;
}

.bottom-bar-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 16px;
}

.custom-delete-modal {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-bottom: 10px;
}

  .custom-delete-modal .mat-icon-button {
    width: unset;
    height: unset;
  }

  .custom-delete-modal .mat-icon {
    display: block !important;
    color: #00AEEF !important;
    margin: 0 !important;
    font-size: 30px !important;
    line-height: 1 !important;
    height: unset;
    width: unset;
  }

.custom-dlt-content {
  padding-top: 10px;
  padding-bottom: 70px;
}

.bottom-btn {
  height: auto !important;
}

.custom-font {
  font-family: Helvetica Neue, Helvetica, Arial, sans-serif;
}

.ck-editor-error {
  padding-left: 25px;
  padding-top: 10px;
}

.cke_bottom {
  display: none !important;
}

.textarea-mat-form-field .mat-form-field-invalid {
  margin-bottom: 12px;
}


/* Treeview Css Start */

::ng-deep .ng-trigger-toggle span {
  -webkit-user-select: all;
  /* Chrome 49+ */
  -moz-user-select: all;
  /* Firefox 43+ */
  -ms-user-select: all;
  /* No support yet */
  user-select: all;
  cursor: move;
}

kendo-treeview {
  width: 290px;
}

.k-icon {
  font-size: 14px;
  margin-right: 4px;
}

.recipe-wrap {
  height: 170px;
  overflow-y: scroll;
  overflow-x: hidden;
}

.k-card-actions-vertical.k-card-actions-start .k-button,
.k-card-actions-vertical.k-card-actions-end .k-button {
  width: 50px;
}

.k-card-separator {
  height: auto;
  margin-top: 13px !important;
  margin-bottom: 7px !important;
}

.topmargin {
  margin-top: -22px;
}

.bottommargin {
  margin-bottom: 17px;
}

::ng-deep .k-card-vertical {
  width: 100% !important;
}

.k-card .k-icon {
  float: right;
}

::ng-deep .k-treeview .k-item {
  padding: 0px 0px 0px 8px !important;
}

::-webkit-scrollbar {
  width: 5px;
}

::-webkit-scrollbar-thumb {
  border-radius: 10px;
  background: #888;
}

  ::-webkit-scrollbar-thumb:hover {
    background: #555;
  }

.k-i-arrow-60-up {
  color: #00AEEF !important;
}

::ng-deep .k-card {
  border-color: rgb(0 0 0 / 36%);
}


/* ::ng-deep #cke_1_contents {
    min-height: 400px !important;
  } */

::ng-deep #cke_1_contents p {
  float: left !important;
  background: #dddddd !important;
  border-radius: 30px !important;
  padding: 7px 10px !important;
}

.dragdata {
  width: fit-content;
  background-color: aquamarine;
  border-radius: 16px;
  padding: 6px;
}

::ng-deep .k-treeview .k-in.k-state-selected {
  color: #0e0d0d;
  background-color: #39408500;
}

::ng-deep #templatename-field .mat-form-field-appearance-outline .mat-form-field-flex {
  margin-top: 0;
}

::ng-deep #templatename-field .mat-form-field-label-wrapper .mat-form-field-label {
  margin-bottom: 0;
  top: 1.4em;
}

::ng-deep .k-widget .k-icon.k-i-expand {
  font-size: 23px;
}

::ng-deep .k-widget .k-icon.k-i-collapse {
  font-size: 23px;
}

::ng-deep .k-treeview .k-i-expand {
  margin-left: -12px;
}

::ng-deep .k-treeview .k-i-collapse {
  margin-left: -12px;
}


/* Treeview Css End */

.pointer-wrapper {
  cursor: pointer;
}

.bottommargin {
  margin-bottom: 27px;
}

@media print {
  @page {
    margin-top: 0;
    margin-bottom: 0;
  }

  body {
    padding-top: 72px;
    padding-bottom: 72px;
  }
}

.apply_location {
  color: #394085;
  font-size: 19px;
  line-height: 29px;
}

table {
  width: 100%;
  height: 100%;
  border: 1px solid #DBDBDB;
  box-shadow: 0px 2px 6px rgb(0 0 0 / 25%);
  border-radius: 4px;
  background: #FFFFFF;
}

.charater-wrapper-tr {
  background: #A18BD6;
  color: #FFFFFF;
  text-align: center;
  align-items: center;
  text-transform: uppercase;
  height: 41px;
}

.charater-wrapper-td {
  padding: 6px 20px;
  text-align: center;
  color: #666666;
}

.description-error {
  margin-top: -20px;
  font-size: 14px;
  line-height: 16px;
  color: #D41515;
  padding-left: 15px;
}

.charactertype-wrapper {
  font-size: 16px;
  line-height: 18px;
  display: flex;
  color: #939393;
  font-family: Helvetica Neue, Helvetica, Arial, sans-serif;
}

.sms-wrapper {
  justify-content: flex-end;
  text-align: end;
  /* margin-right: 10px; */
}

.cc-right-box {
  padding-left: 30px;
}

.info-right-box {
  display: flex;
  align-items: center;
  padding-bottom: 30px;
}

.info-right-box-p {
  padding-left: 5px;
  font-size: 14px;
  line-height: 16px;
  color: #000000;
  margin: 0;
}

.sms-editor {
  position: relative;
}

.sms-editor-bottom {
  position: absolute;
  bottom: 30px;
  width: 100%;
  padding-right: 15px;
}

.sms-editor-bottom-inner {
  padding: 0 15px;
  display: flex;
  justify-content: space-between;
}

.textarea-mat-form-field.mat-form-field-invalid {
  margin-bottom: 0px !important;
}

.mat-tab-group.mat-primary .mat-ink-bar,
.mat-tab-nav-bar.mat-primary .mat-ink-bar {
  Background-color: #A18BD6 !important;
}

::ng-deep .custom-form-update .mat-tab-label {
  height: 56px !important;
}
